[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResource.SetDescOwner

Sets this resource as the owner of the given TResourceDesc

## Declaration

Source position: resource.pp line 150

`protected procedure TAbstractResource.SetDescOwner(`
`aDesc: TResourceDesc`
`);`

## Arguments

`aDesc` |  | The TResourceDesc that the resource must own

## Description

This method is provided so that descendants of TAbstractResource can set themselves as the owners of the given TResourceDesc